package sample.web;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import sample.beans.UserBeans;

/**
 * Servlet implementation class SimpleBeansServlet
 */
@WebServlet("/SimpleBeansServlet")
public class SimpleBeansServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		UserBeans beans = new UserBeans();

		beans.setUsername("サンプル名前");
		beans.setPhone("090-9999-****");
		beans.setAddress("東京都○○区△△1丁目");

		// JavaBeansの処理を実行
		beans.checkValues();

		// リクエスト属性へ「user」の名前でバインド
		request.setAttribute("user", beans);

		// JSPへ処理を遷移させる
		request.getRequestDispatcher("/jsp/SimpleBeans.jsp").forward(request, response);
	}
}
