package sample.web;

import java.io.IOException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class ContextParamServlet
 */
@WebServlet("/ContextParamServlet")
public class ContextParamServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#service(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// パラメータ名を指定して値を取得する
		// ここではフォワードするJSPが保存されているディレクトリを取得。
		String JSPDirectory = getServletContext().getInitParameter("JSPDirectory");

		// 初期パラメータの"名前"を全て取得する
		Enumeration en = getServletContext().getInitParameterNames();

		Map<String,String> map = new HashMap<String,String>();
		while (en.hasMoreElements()) {
			// 初期パラメータ名を取得
			String key = (String)en.nextElement();

			// 取得した初期パラメータ名から、初期パラメータ値を首取得する。
			String value = getServletContext().getInitParameter(key);

			// 取り出した初期パラメータの名前と値をセットにしてMapへ格納
			map.put(key, value);
		}

		// 初期パラメータの集合Mapをリクエスト属性に格納
		request.setAttribute("params", map);

		// Contextparam.jspへフォワード。初期パラメータから取得したディレクトリを利用。
		request.getRequestDispatcher(JSPDirectory + "ContextParam.jsp").forward(request, response);
	}
}
