package sample.web;

import java.io.IOException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebInitParam;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet(
		urlPatterns = { "/WebInitSampleServlet" },
		initParams = {
				@WebInitParam(name = "paramA", value = "ServletInitValueA"),
				@WebInitParam(name = "paramB", value = "valueB")
		})
public class WebInitSampleServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		Map<String,String> map = new HashMap<String,String>();
		// 指定した初期パラメータを取得
		String paramA = getInitParameter("paramA");
		String paramB = getInitParameter("paramB");

		// Mapに格納
		map.put("paramA" , paramA);
		map.put("paramB" , paramB);
		// 初期パラメータの集合Mapをリクエスト属性に格納
		request.setAttribute("params", map);

		// <context-param>で一覧取得したときと同様にEnumerationで@WebInitParamの名前一覧を取得
		Enumeration en = getInitParameterNames();

		// Contextparam.jspへフォワード。初期パラメータから取得したディレクトリを利用。
		request.getRequestDispatcher("/jsp/WebInitSample.jsp").forward(request, response);
	}
}
